﻿using BPA.SAAS.KitChenManage.Application.AExternalPlatform.Service.Authorization.Dtos;
using BPA.SAAS.KitChenManage.Application.AExternalPlatform.Service.Authorization.Services;
using BPA.SAAS.KitChenManage.Application.Authorization.Dtos;
using BPA.SAAS.KitChenManage.Core.Base;
using BPA.SAAS.KitChenManage.Core.Model;
using NetTaste;
using ProtoBuf.Meta;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.KitChenManage.Application.AExternalPlatform.Service.Authorization
{


    [ApiDescriptionSettings("开放平台", Tag = "授权管理"), AllowAnonymous, NonUnify]
    public class AuthServices : IDynamicApiController
    {
        private readonly IAuthService _authService;
        public AuthServices(IAuthService authService)
        {
            _authService = authService;
        }


        /// <summary>
        /// 获取店铺授权码列表
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        [HttpPost("/api/Auth/GetListStoreAuthKey")]
        public async Task<List<StoreAuthKeyDto>> GetListStoreAuthKey(BaseDto.BaseEPDto input)
        {
            return await _authService.GetListStoreAuthKey(input);
        }

        /// <summary>
        /// 获取店铺授权码
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        [HttpPost("/api/Auth/GetStoreAuthKey")]
        public async Task<StoreAuthKeyDto> GetStoreAuthKey(StoreAuthDto input)
        {
            return await _authService.GetStoreAuthKey(input);
        }

        /// <summary>
        /// 添加店铺授权码
        /// </summary>
        /// <returns></returns>
        [HttpPost("/api/Auth/AddStoreAuthKey")]
        public async Task<bool> AddStoreAuthKey(StoreAuthDto inputDto)
        {
            return await _authService.AddStoreAuthKey(inputDto);
        }

        /// <summary>
        /// 修改店铺授权码
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        [HttpPost("/api/Auth/UpdateStoreAuthKey")]
        public async Task<bool> UpdateStoreAuthKey(StoreAuthDto inputDto)
        {
            return await _authService.UpdateStoreAuthKey(inputDto);
        }
    }
}
