﻿using BPA.SAAS.KitChenManage.Application.AExternalPlatform.Service.Authorization.Dtos;
using BPA.SAAS.KitChenManage.Core.Base;
using BPA.SAAS.KitChenManage.Core.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.KitChenManage.Application.AExternalPlatform.Service.Authorization.Services
{
    public interface IAuthService
    {


        /// <summary>
        /// 获取店铺授权码列表
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        Task<List<StoreAuthKeyDto>> GetListStoreAuthKey(BaseDto.BaseEPDto input);

        /// <summary>
        /// 获取店铺授权码
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        Task<StoreAuthKeyDto> GetStoreAuthKey(StoreAuthDto input);

        /// <summary>
        /// 添加店铺授权码
        /// </summary>
        /// <returns></returns>
        Task<bool> AddStoreAuthKey(StoreAuthDto inputDto);

        /// <summary>
        /// 修改店铺授权码
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        Task<bool> UpdateStoreAuthKey(StoreAuthDto inputDto);



    }
}
