﻿using BPA.SAAS.KitChenManage.Application.Device.Dtos;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.KitChenManage.Application.AExternalPlatform1.Service.Goods.Dtos
{
    public class ResultGoodsAndDeviceResultDto
    {
        public int statusCode { get; set; }

        public GoodsAndDeviceResultDto data { get; set; }

        public string succeeded { get; set; }

        public string errors { get; set; }

        public string extras { get; set; }

        public int timestamp { get; set; }
    }

    public class ResultGoodsResultDto
    {
        public int statusCode { get; set; }

        public List<GoodsTypeResultDto> data { get; set; }

        public string succeeded { get; set; }

        public string errors { get; set; }

        public string extras { get; set; }

        public int timestamp { get; set; }
    }

    public class ResultDeviceResultDto
    {
        public int statusCode { get; set; }

        public DeviceInfoQueryDto data { get; set; }

        public string succeeded { get; set; }

        public string errors { get; set; }

        public string extras { get; set; }

        public int timestamp { get; set; }
    }

    public class GoodsAndDeviceResultDto
    {
        public List<GoodsTypeResultDto> GoodsInfoList { get; set; }
        public DeviceInfoQueryDto DeviceInfo { get;set; }
    }

    public class GoodsTypeResultDto
    {
        public string GoodsTypeId { get; set; }

        public string GoodsTypeName { get; set; }


        public List<GoodsAttributeResultDto> GoodsAttributeList { get; set; }

        public List<GoodsInfoResultDto> GoodsInfoList { get; set; }

    }


    public class GoodsAttributeResultDto
    {
        public string GoodsAttributeId { get; set; }

        public string GoodsAttributeName { get; set; }

        public List<GoodsAttributeValueResultDto> GoodsAttributeValueList { get; set; }
    }

    public class GoodsAttributeValueResultDto
    {
        public string GoodsAttributeId { get; set; }
        public string GoodsAttributeValueId { get; set; }
        public string AttributeValue { get; set; }
    }

    public class GoodsResultDto
    {
        public string TypeId { get; set; }

        public string TypeName { get; set; }
    }

    public class GoodsInfoResultDto
    {
        public string GoodsId { get; set; }

        public string GoodsName { get; set; }

        public string ImgUrl { get; set; }

        public List<GoodsTechnologyActionResultDto> GoodsTechnologyActionList { get; set; }
    }

    public class GoodsTechnologyActionResultDto
    {
        /// <summary>
        /// 步骤名称
        /// </summary>
        public string StepName { get; set; }
        /// <summary>
        /// 动作json
        /// </summary>
        public string ActionJson { get; set; }
        /// <summary>
        /// 商品属性id集合
        /// </summary>
        public string GoodsAttributeId { get; set; }
        /// <summary>
        /// 是否物料
        /// </summary>
        public bool IsBatch { get; set; }
        /// <summary>
        /// 动作value
        /// </summary>
        public string ChnologyId { get; set; }
        public string GroupId { get; set; }
        public int Sort { get; set; }
        public string GoodsId { get; set; }
        public string DeviceId { get; set; }
        /// <summary>
        /// 仓位模板
        /// </summary>
        public string WarehousrTemplateId { get; set; }
    }
}
