﻿using BPA.SAAS.KitChenManage.Application.Device.Dtos;
using BPA.SAAS.KitChenManage.Application.Device.Services;
using BPA.SAAS.KitChenManage.Core.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.KitChenManage.Application.Device
{
    [ApiDescriptionSettings("DevicePushRecode", Tag = "设备下发")]
    public class DevicePushRecodeServices: IDynamicApiController
    {
        IDevicePushRecodeService _devicePushRecodeService;
        public DevicePushRecodeServices(IDevicePushRecodeService devicePushRecodeService) 
        {
            _devicePushRecodeService= devicePushRecodeService;
        }
        public async  Task Test()
        {
             await _devicePushRecodeService.Test();
        }
        /// <summary>
        /// 分页
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        [HttpPost("/api/devicepushrecode/page")]
        public async Task<PageUtil> Page(DevicePushRecodeDtoPageInput input)
        {
            return await _devicePushRecodeService.Page(input);
        }
        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        [HttpPost("/api/devicepushrecode/add")]
        public async Task<bool> Add(DevicePushRecodeDtoInput input)
        {
            return await _devicePushRecodeService.Add(input);
        }
        /// <summary>
        /// 下发数据（对外接口）
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        [HttpPost("/api/devicepushrecode/add_alm")]
        [AllowAnonymous]
        public async Task<bool> Add_alm(List<DevicePushRecodeDtoInputalm> input)
        {
            return await _devicePushRecodeService.Add_alm(input);
        }
        /// <summary>
        /// 修改
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        [HttpGet("/api/devicepushrecode/update")]
        public async  Task<bool> Update(string id)
        {
            return await _devicePushRecodeService.Update(id);
        }
        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        [HttpPost("/api/devicepushrecode/delete")]
        public async Task<bool> Delete(List<string> input)
        {
            return await _devicePushRecodeService.Delete(input);
        }



        #region 设备商品

        /// <summary>
        /// 获取设备商品
        /// </summary>
        /// <param name="deviceId"></param>
        /// <returns></returns>
        [HttpPost("/api/devicepushrecode/getdevicegoods")]
        public async Task<List<Goods>> GetDeviceGoods(string deviceId)
        {
            return await _devicePushRecodeService.GetDeviceGoods(deviceId);
        }

        /// <summary>
        /// 编辑设备商品
        /// </summary>
        /// <param name="inputDto"></param>
        /// <returns></returns>
        [HttpPost("/api/devicepushrecode/editdevicegoods")]
        public async Task<bool> EditDeviceGoods(DeviceGoodsInputDto inputDto)
        {
            return await _devicePushRecodeService.EditDeviceGoods(inputDto);
        }

        #endregion
    }
}
