﻿using BPA.SAAS.KitChenManage.Application.Food.Dtos;
using BPA.SAAS.KitChenManage.Application.Store.Dtos;
using BPA.SAAS.KitChenManage.Core.Base;
using BPA.SAAS.KitChenManage.Core.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.KitChenManage.Application.Food.Services
{
    public interface IFoodMenuService
    {
        /// <summary>
        /// 分页
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        Task<PageUtil> Page(FoodMenuDtoPageInput input);
        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        Task<bool> Add(FoodMenuDtoInput input);
        /// <summary>
        /// 修改
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        Task<bool> Update(FoodMenuDtoInput input);
        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        Task<bool> Delete(List<string> input);
        /// <summary>
        /// 菜谱关联商品
        /// </summary>
        /// <param name="inputDto"></param>
        /// <returns></returns>
        Task<bool> EditFoodMenuGoods(FoodMenuBaseDto inputDto);
        /// <summary>
        /// 查询菜谱绑定的商品
        /// </summary>
        /// <param name="foodMenuId"></param>
        /// <returns></returns>
        Task<List<BPA_FoodMenuGoods>> GetFoodMenuGoods(string foodMenuId);

        /// <summary>
        /// 获取设备物料信息
        /// </summary>
        /// <returns></returns>
         Task<ResultSAASManageDto> GetDeviceGoods(string deviceId);
    }
}
