﻿using BPA.SAAS.KitChenManage.Application.Store.Dtos;
using BPA.SAAS.KitChenManage.Core.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.KitChenManage.Application.Store.Services
{
    public interface IStoreService
    {
        /// <summary>
        /// 分页
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        Task<PageUtil> Page(StoreDtoPageInput input);
        /// <summary>
        /// 查询所有店铺
        /// </summary>
        /// <returns></returns>
        Task<List<StoreDtoOutput>> GetStoreList();
        Task<List<StoreDtoOutput>> GetStoreList_alm();
        Task<StoreDtoOutput> GetByIdStoreList_alm(string id);
        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        Task<bool> Add(StoreDtoInput input);
        /// <summary>
        /// 修改
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        Task<bool> Update(StoreDtoInput input);
        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
      Task<bool> Delete(List<string> input);
    }
}
