﻿using BPA.SAAS.KitChenManage.Application.Store.Dtos;
using BPA.SAAS.KitChenManage.Application.Store.Services;
using BPA.SAAS.KitChenManage.Core.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.KitChenManage.Application.Store
{
    [ApiDescriptionSettings("Store", Tag = "场景管理")]
    public class StoreServices: IDynamicApiController
    {
        IStoreService _storeService;
        public StoreServices(IStoreService storeService)
        {
            _storeService=storeService;
        }
        /// <summary>
        /// 分页查询
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        [HttpPost("/api/store/page")]
       
        public async Task<PageUtil> Page(StoreDtoPageInput input)
        {
            return await _storeService.Page(input);
        }
        /// <summary>
        /// 查询所有店铺
        /// </summary>
        /// <returns></returns>
        [HttpGet("/api/store/getstorelist")]
        public async Task<List<StoreDtoOutput>> GetStoreList()
        {
            return await _storeService.GetStoreList();
        }
        /// <summary>
        /// 查询所有店铺(外部调用)
        /// </summary>
        /// <returns></returns>
        [HttpGet("/api/store/getstorelist_alm")]
        public async Task<List<StoreDtoOutput>> GetStoreList_alm()
        {
            return await _storeService.GetStoreList_alm();
        }
        /// <summary>
        /// 根据店铺id查询店铺(外部调用)
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        [HttpGet("/api/store/getbyIdstorelist_alm")]
        public async  Task<StoreDtoOutput> GetByIdStoreList_alm(string id)
        {
            return await _storeService.GetByIdStoreList_alm(id);
        }
        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        [HttpPost("/api/store/add")]
        public async Task<bool> Add(StoreDtoInput input)
        {
            return await _storeService.Add(input);
        }
        /// <summary>
        /// 修改
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        [HttpPost("/api/store/update")]
        public async Task<bool> Update(StoreDtoInput input)
        {
            return await _storeService.Update(input);
        }
        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        [HttpPost("/api/store/delete")]
        public async Task<bool> Delete(List<string> input)
        {
            return await _storeService.Delete(input);
        }
    }
}
